Bug 834777 - Traceback when using search in revelation
Traceback when using search in revelation
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: revelation (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jef Spaleta
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-23 09:15 EDT by Till Maas
Modified: 2015-02-17 09:18 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:18:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Till Maas 2012-06-23 09:15:55 EDT
Description of problem:
When I try to search in revelation after opening my password file, revelation shows a traceback.

Version-Release number of selected component (if applicable):
revelation-0.4.13-2.fc17

How reproducible:
always


Steps to Reproduce:
1. Open my password file
2. search for fas or fedora
  
Actual results:
A traceback is shown

Expected results:
It should search.

Additional info:

Here is the traceback:

Traceback (most recent call last):
  File "/usr/bin/revelation", line 621, in __cb_searchbar_button_clicked
    self.__entry_find(self, self.searchbar.entry.get_text(), self.searchbar.dropdown.get_active_type(), direction)
  File "/usr/bin/revelation", line 936, in __entry_find
    match = self.entrysearch.find(string, entrytype, self.tree.get_active(), direction)
  File "/usr/lib64/python2.7/site-packages/revelation/data.py", line 245, in find
    if self.match(iter, string, entrytype) == True:
  File "/usr/lib64/python2.7/site-packages/revelation/data.py", line 294, in match
    elif self.casesensitive == False and string.decode("utf-8").lower() in item.decode("utf-8").lower():
AttributeError: 'NoneType' object has no attribute 'decode'
Comment 1 Jef Spaleta 2012-06-24 13:58:50 EDT
yep, thanks for the ticket.

This is the one thing that I am aware of that would prevent me from pushing out of testing.

I'm going to be trying to track it down today and get a patch out.

Upstream ticket:
http://oss.codepoet.no/revelation/issue/76/search-in-application-leads-to-error

Let me know if there are any other regressions compared to F17 release version.

-jef
Comment 2 Jef Spaleta 2012-06-24 14:07:06 EDT
Now this is fascinating... I can't reproduce the probem on F16....

hmmm.

-jef
Comment 3 Jef Spaleta 2012-06-24 14:41:35 EDT
Uhm... 

Till,

I can't reproduce this any longer on F16 or F17.  I did see it last week on both systems.

If you do a system shutdown or just a relogin from scratch does this problem go away?  I know this version introduces gconf changes for example... so if gconfd needs to be restart or something like that before search works?

Sort of stuck scratching my head now.

If you do a fresh user on the same system and create a new keys file, does search crash for them.

-jef
Comment 4 Till Maas 2012-06-26 17:02:18 EDT
(In reply to comment #3)

> If you do a system shutdown or just a relogin from scratch does this problem
> go away?  I know this version introduces gconf changes for example... so if
> gconfd needs to be restart or something like that before search works?

The problem persists after reboot.

> If you do a fresh user on the same system and create a new keys file, does
> search crash for them.

Atter reboot and  running "xhost local:" and using "sudo -Hu <username> -i" and creating a new revelation file, searching seems to work for that user.
Comment 5 Jef Spaleta 2012-07-03 12:29:14 EDT
Till,

pushing new 0.14.4 today into updates-testing with some adjustments to the gconf handling scriptlets.  Since this is being pushed to address at least one filed CVE, I don't think I can hold it back for a problem I can't reproduce locally on my systems.

I can't get the search traceback to error out on me with this 0.14.4 in my test scenario but I can't be completely sure I've nailed all the gconf handling weirdness.  You'd be a great help if you could confirm things work for you following my testing scenario.

Here's my test scenario.

*Create fresh user
*login as fresh user
*install revelation from fedora stable repos.  (anything prior to the 14.3) series)  
*use revelation to create a new keys file with some entries and save to disk
*close revelation
*reopen revelation and open keys file
*do a search in revelation.
*logout/login
*retest revelation search
*install revelation 0.14.4-1 package
*retest revelation search 

If you can confirm for me that this test setup works for you as well that would be keen. If you can reliable create a crasher situation from a fresh user config please poke me in the eye about it.   Or if you have a furhter scriptlet adjustment that I should make to handle a hard to reproduce with a fresh user situation poke me about that as well.
Comment 6 Till Maas 2012-07-03 16:16:07 EDT
The traceback does not appear anymore after I once saved my password file with the new revelation (0.14.3). In a clean live VM the problem did not appear, but I did not use my normal password file. I will test it once it is in updates-testing.
Comment 7 Ankur Sinha (FranciscoD) 2012-11-07 02:17:19 EST
Hi,

I had this issue only when I opened an "old format" revelation file (it gave me a pop up saying it'll save it in the new format once I hit 'save'). I closed revelation and on re-opening it I can search just fine, now that my file is in the new format.

I don't have another old revelation file to confirm though..

Traceback:

Traceback (most recent call last):
  File "/usr/bin/revelation", line 621, in __cb_searchbar_button_clicked
    self.__entry_find(self, self.searchbar.entry.get_text(), self.searchbar.dropdown.get_active_type(), direction)
  File "/usr/bin/revelation", line 936, in __entry_find
    match = self.entrysearch.find(string, entrytype, self.tree.get_active(), direction)
  File "/usr/lib64/python2.7/site-packages/revelation/data.py", line 245, in find
    if self.match(iter, string, entrytype) == True:
  File "/usr/lib64/python2.7/site-packages/revelation/data.py", line 294, in match
    elif self.casesensitive == False and string.decode("utf-8").lower() in item.decode("utf-8").lower():
AttributeError: 'NoneType' object has no attribute 'decode'

revelation-0.4.14-2.fc18.x86_64

Thanks,
Ankur
Comment 8 Jean-François Fortin Tam 2013-02-13 22:57:19 EST
Hi folks, I still have my "old" password file hanging around. I can confirm that converting it to the new format of 0.4 makes the problem go away.

Interestingly enough, if I create a brand new file with only one entry in 0.3, the problem does not appear either; but I can't ask 0.3 to save as a new file and expect it to work with 0.4 either, I still get the traceback then.
Comment 9 Fedora End Of Life 2013-07-03 19:19:55 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Thomas Vander Stichele 2013-07-16 10:52:29 EDT
The same bug exists in Fedora 18, and still in 19.

Yes, it only happens when opening an old file, before saving it to the new format.
Comment 11 Fedora End Of Life 2015-01-09 12:12:57 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-02-17 09:18:42 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.